optcal Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
optcal Module Reference
Collaboration diagram for optcal:

## Public Member Functions
subroutine | time_step_init
| Initialize Fortran time step API. This maps Fortran pointers to global C structure members. More...

## Data Fields
integer, dimension(nvarmx), save | istat
| take non-stationary term into account: More...
integer, dimension(nvarmx), save | iconv
| take convection into account: More...
integer, dimension(nvarmx), save | idiff
| take diffusion into account: More...
integer, dimension(nvarmx), save | idifft
| take turbulent diffusion into account: More...
integer, dimension(nvarmx), save | idften
| type of diffusivity: More...
integer, save | irovar
| variable density field : More...
integer, save | ivivar
| variable viscosity field : More...
integer, save | ischtp
| time order of time stepping More...
integer, save | istmpf
| time order of the mass flux scheme More...
integer, save | nterup
| number of interations on the pressure-velocity coupling on Navier-Stokes (for the PISO algorithm) More...
integer, save | isno2t
| extrapolation of source terms in the Navier-Stokes equations More...
integer, save | isto2t
| extrapolation of turbulent quantities More...
integer, dimension(nscamx), save | isso2t
| extrapolation of source terms in the transport equation of scalars More...
integer, save | iroext
| extrapolation of the density field More...
integer, save | iviext
| extrapolation of the total viscosity field More...
integer, save | icpext
| extrapolation of the specific heat field More...
integer, dimension(nscamx), save | ivsext
| extrapolation of the scalar diffusivity More...
integer, save | initvi
| initvi : =1 si viscosite totale relue dans un suite More...
integer, save | initro
| initro : =1 si masse volumique relue dans un suite More...
integer, save | initcp
| initcp : =1 si chaleur specifique relue dans un suite More...
integer, dimension(nscamx), save | initvs
| initvs : =1 si diffusivite scalaire relue dans un suite More...
double precision, dimension(nvarmx), save | thetav
| -scheme for the main variables More...
double precision, save | thetsn
| -scheme for the source terms in the Navier-Stokes equations More...
double precision, save | thetst
| -scheme for the source terms of turbulent equations More...
double precision, dimension(nscamx), save | thetss
| -scheme for the source terms of transport equations of scalars More...
double precision, save | thetfl
| -scheme for the mass flux More...
double precision, save | thetvi
| -scheme for the total viscosity More...
double precision, save | thetro
| -scheme for the density field More...
double precision, save | thetcp
| -scheme for the scpecific heat field More...
double precision, dimension(nscamx), save | thetvs
| -scheme for the diffusivity More...
double precision, save | epsup
| relative precision for the convergence test of the iterative process on pressure-velocity coupling (PISO) More...
double precision, save | xnrmu
| norm of the increment of the iterative process on pressure-velocity coupling (PISO) More...
double precision, save | xnrmu0
| norm of (used by PISO algorithm) More...
double precision, dimension(nvarmx), save | blencv
| percentage of upwind: More...
integer, dimension(nvarmx), save | ischcv
| type of convective scheme More...
integer, dimension(nvarmx), save | isstpc
| switch off the slope test: More...
integer, save | iflxmw
| method to compute interior mass flux due to ALE mesh velocity More...
integer, save | imrgra
| type of gradient reconstruction More...
double precision, save | anomax
| anomax : angle de non orthogonalite des faces en radian au dela duquel on retient dans le support etendu des cellules voisines de la face les cellules dont un noeud est sur la face More...
integer, dimension(nvarmx), save | nswrgr
| max number of iterations for the iterative gradient More...
double precision, dimension(nvarmx), save | epsrgr
| relative precision of the iterative gradient calculation More...
integer, dimension(nvarmx), save | imligr
| type of gradient clipping More...
double precision, dimension(nvarmx), save | climgr
| climgr : facteur de limitation (>=1, =1 : forte limitation) More...
double precision, dimension(nvarmx), save | extrag
| gradient extrapolation at the boundary More...
integer, dimension(nvarmx), save | ircflu
| face flux reconstruction: More...
integer, save | imvisf
| face viscosity field interpolation More...
integer, dimension(nvarmx), save | nswrsm
| max number of iteration for the iterative process used to solved the convection diffusion equations More...
double precision, dimension(nvarmx), save | epsrsm
| relative precision of the iterative process used to solved the convection diffusion equations More...
integer, dimension(nvarmx), save | iswdyn
| dynamic relaxation type: More...
integer, dimension(nvarmx), save | nitmax
| maximal number of iteration for the linear solver More...
double precision, dimension(nvarmx), save | epsilo
| relative precision of the linear solver More...
integer, dimension(nvarmx), save | iresol
| type of linear solver More...
integer, dimension(nvarmx), save | idircl
| strengthen of the diagonal part of the matrix if no Dirichlet is set More...
integer, dimension(nvarmx), save | ndircl
| number of Dirichlet BCs More...
integer, dimension(nvarmx), save | imgr
| multigrid algorithm More...
integer, dimension(nvarmx), save | ncymax
| maximal number of cycles in the multigrid algorithm More...
integer, dimension(nvarmx), save | nitmgf
| number of iterations on the finer mesh More...
double precision, save | rlxp1
| relaxation parameter for the multigrid More...
integer, save | isuite
integer, save | ileaux
integer, save | iecaux
integer, dimension(nscamx), save | iscold
integer, save | isuit1
integer, save | isuict
integer, save | isuivo
integer, save | isuisy
integer(c_int), pointer, save | ntpabs
| Absolute time step number for previous calculation. More...
integer(c_int), pointer, save | ntcabs
| Current absolute time step number. In case of restart, this is equal to ntpabs + number of new iterations. More...
integer(c_int), pointer, save | ntmabs
| Maximum absolute time step number. More...
real(c_double), pointer, save | ttpabs
| Absolute time value for previous calculation. More...
real(c_double), pointer, save | ttcabs
| Current absolute time. In case of restart, this is equal to ttpabs + additional computed time. More...
real(c_double), pointer, save | ttmabs
| Maximum absolute time. More...
integer, save | inpdt0
| indicator "zero time step" More...
integer, save | iptlro
| Clip the time step with respect to the buoyant effects. More...
integer, save | idtvar
| option for a variable time step More...
double precision, save | dtref
| reference time step More...
double precision, save | coumax
| maximum Courant number (when idtvar is different from 0) More...
double precision, save | cflmmx
| maximum Courant number for the continuity equation in compressible model More...
double precision, save | foumax
| maximum Fourier number (when idtvar is different from 0) More...
double precision, save | varrdt
| relative allowed variation of dt (when idtvar is different from 0) More...
double precision, save | dtmin
| minimum value of dt (when idtvar is different from 0). Take dtmin = min (ld/ud, sqrt(lt/(gdelta rho/rho)), ...) More...
double precision, save | dtmax
| maximum value of dt (when idtvar is different from 0). Take dtmax = max (ld/ud, sqrt(lt/(gdelta rho/rho)), ...) More...
double precision, dimension(nvarmx), save | cdtvar
| multiplicator coefficient for the time step of each variable More...
double precision, dimension(nvarmx), save | relaxv
| relaxation of variables (1 stands fo no relaxation) More...
double precision, save | relxst
| relaxation coefficient for the stationary algorithm More...
integer, save | itherm
| thermal model More...
integer, save | itpscl
| temperature scale More...
integer, save | iscalt
| index of the thermal scalar (temperature, energy of enthalpy), the index of the corresponding variable is isca(iscalt) More...
integer, save | iturb
| turbulence model More...
integer, save | itytur
| Class of turbulence model (integer value iturb/10) More...
integer, save | irccor
| Activation of rotation/curvature correction for an eddy viscosity turbulence models. More...
integer, save | itycor
| Type of rotation/curvature correction for an eddy viscosity turbulence models. More...
integer, save | ideuch
| Wall functions. More...
integer, save | iwallt
| exchange coefficient correlation More...
integer, save | ilogpo
| wall function with More...
integer, save | iclkep
| clipping of k and epsilon More...
integer, save | igrhok
| take in the momentum equation More...
integer, save | igrake
| buoyant term in More...
integer, save | igrari
| buoyant term in More...
integer, save | ikecou
| partially coupled version of (only for iturb=20) More...
integer, save | irijnu
| pseudo eddy viscosity in the matrix of momentum equation to partially implicit More...
integer, save | irijrb
| accurate treatment of at the boundary (see condli) More...
integer, save | irijec
| wall echo term of More...
integer, save | idifre
| whole treatment of the diagonal part of the dissusion tensor of and More...
integer, save | iclsyr
| partial implicitation of symmetry BCs of More...
integer, save | iclptr
| partial implicitation of wall BCs of More...
integer, save | idries
| Van Driest smoothing at the wall (only for itytur=4) More...
integer, save | ivrtex
| vortex method (in LES) More...
integer, dimension(nscamx), save | iturt
| turbulent flux model for for any scalar , iturt(isca) More...
integer, dimension(nscamx), save | ityturt
| class turbulent flux model (=iturt/10) More...
integer, dimension(nscamx), save | ifltur
| index of the turbulent flux for the scalar iscal More...
integer, save | nvarcl
| number of variable plus number of turbulent fluxes (used by the Boundary Conditions) More...
integer, save | ivisse
| take into account in the momentum equation More...
integer, save | irevmc
| Reconstruction of the velocity field with the updated pressure option. More...
integer, save | iprco
| Compute the pressure step thanks to the continuity equation. More...
integer, save | irnpnw
| Compute the normed residual for the pressure step in the prediction step. More...
double precision, save | rnormp
| normed residual for the pressure step More...
double precision, save | arak
| Arakawa multiplicator for the Rhie and Chow filter (1 by default) More...
integer, save | ipucou
| Pseudo coupled pressure-velocity solver. More...
integer, save | iccvfg
| calculation with a fixed velocity field More...
integer, save | idilat
| Algorithm to take into account the density variation in time. More...
double precision, save | epsdp
| parameter of diagonal pressure strengthening More...
integer, dimension(ntypmx), save | idebty
integer, dimension(ntypmx), save | ifinty
integer, save | itbrrb
| accurate treatment of the wall temperature More...
integer, dimension(nscamx), save | icpsyr
| indicates if the scalar isca is coupled with syrthes More...
integer, save | iphydr
| improve hydrostatic pressure algorithm More...
integer, save | iifren
| indicates the presence of a Bernoulli boundary face (automatically computed) More...
integer, save | icalhy
| compute the hydrostatic pressure in order to compute the Dirichlet conditions on the pressure at outlets More...
integer, save | icond
integer, dimension(nestmx), save | iescal
| compute error estimators More...
integer, save | nbmomt
| number of moments More...
integer, save | nbdtcm
| nombre de tableaux ncel pour le temps cumule More...
integer, dimension(nbmomx), save | ntdmom
| index of the initial time step for computing the moment More...
integer, dimension(nbmomx), save | imoold
| numero de l'ancien moment correspondant en cas de suite More...
integer, dimension(nbmomx), save | icmome
| icmome : pointeur pour les moments (donne un numero de propriete) s'utilise ainsi propce(iel,ipproc(icmome(imom))) More...
integer, dimension(nbmomx), save | idtmom
| numero du temps cumule associe aux moments ce numero va de 1 a n pour les temps cumules non uniformes et de -1 a -p pour les temps cumules uniformes s'utilise ainsi More...
integer, dimension(ndgmox, nbmomx), save | idfmom
| numero des variables composant le moment idfmom(jj,imom) More...
integer, dimension(nbmomx), save | idgmom
| moment degree More...
integer, dimension(nbmomx), save | icdtmo
| numero de propriete du temps cumule (voir idtmom) More...
double precision, dimension(nbmomx), save | dtcmom
| valeur du pas de temps cumule quand il est uniforme (see idtmom). More...
double precision, dimension(nbmomx), save | ttdmom
| initial time for computing the moment More...
integer, save | ncpdct
| Indicateur pertes de charge global (ie somme sur les processeurs de ncepdc) More...
integer, save | nfpt1t
| Indicateur module thermique 1d global (ie somme sur les processeurs de nfpt1d) More...
integer, save | nctsmt
| Indicateur termes sources de masse global (ie somme sur les processeurs de ncetsm) More...
integer, save | iporos
| take the porosity fomulation into account More...
integer, save | iusini
integer, save | ineedy
| ineedy : = 1 distance a la paroi est necessaire pour le calcul = 0 distance a la paroi n'est pas necessaire More...
integer, save | imajdy
| imajdy : = 1 distance a la paroi a ete mise a jour = 0 distance a la paroi n'a pas ete mise a jour More...
integer, save | icdpar
| icdpar : = 1 calcul standard (et relecture en suite de calcul) = 2 calcul ancien (et relecture en suite de calcul) =-1 forcer le recalcul en suite (par calcul standard) =-2 forcer le recalcul en suite (par calcul ancien) More...
integer, save | nitmay
| nitmay : nombre max d'iterations pour les resolutions iteratives More...
integer, save | nswrsy
| nswrsy : nombre de sweep pour reconstruction des s.m. More...
integer, save | nswrgy
| nswrgy : nombre de sweep pour reconstruction des gradients More...
integer, save | imligy
| imligy : methode de limitation du gradient More...
integer, save | ircfly
| ircfly : indicateur pour reconstruction des flux More...
integer, save | ischcy
| ischcy : indicateur du schema en espace More...
integer, save | isstpy
| isstpy : indicateur pour test de pente More...
integer, save | imgrpy
| imgrpy : multigrille More...
integer, save | iwarny
| iwarny : niveau d'impression More...
integer, save | ntcmxy
| ntcmxy : nombre max d'iteration pour la convection de y More...
double precision, save | blency
double precision, save | epsily
double precision, save | epsrsy
double precision, save | epsrgy
double precision, save | climgy
double precision, save | extray
double precision, save | coumxy
double precision, save | epscvy
double precision, save | yplmxy
integer, save | ineedf
| ineedf : = 1 on calcule les efforts aux parois = 0 on ne calcule pas les efforts aux parois More...
integer, dimension(nscamx), save | iscacp
| iscacp : 0 : scalar does not behave like a temperature 1 : scalar behaves like a temperature (use Cp for wall law) > 1 : not yet allowed, could be used for multiple Cp definitions More...
integer, dimension(nscamx), save | ivisls
| ivisls : si positif strictement, indique que la viscosite associee au scalaire est variable, et la valeur est le numero d'ordre de la viscosite dans le tableau des viscosites variables More...
integer, dimension(nscamx), save | ivissa
| ivissa : comme ivisls sauf que sert au stockage de la viscosite au pas de temps precedent More...
integer, dimension(nscamx), save | iclvfl
| iclvfl : 0 : clipping des variances a zero 1 : clipping des variances a zero et a f(1-f) 2 : clipping des variances a max(zero,scamin) et scamax More...
integer, dimension(nscamx), save | iscavr
| iscavr : numero du scalaire associe a la variance ou zero si le scalaire n'est pas une variance More...
integer, dimension(nscamx), save | iscasp
| iscasp : 0 : le scalaire associe n est pas une espece 1 : le scalaire associe est une espece More...
double precision, dimension(nscamx), save | scamin
| scamin, scamax : min et max pour clipping des scalaires on ne clippe que si scamin < scamax More...
double precision, dimension(nscamx), save | scamax
double precision, dimension(nscamx), save | visls0
| visls0 : viscosite des scalaires si constante More...
double precision, dimension(nscamx), save | sigmas
| sigmas : prandtl des scalaires More...
double precision, dimension(0:nscamx), save | wmolsp
| molar fraction for multi-species scalars More...
double precision, dimension(nscamx), save | rvarfl
| rvarfl : coeff de dissipation des variances More...
double precision, dimension(nscamx), save | ctheta
| ctheta : coefficient des modeles de flux turbulents GGDH et AFM More...
integer | drift_scalar_add_drift_flux
| flag for computing the drift mass flux: (for coal classes for instance, only the first scalar of a class compute the drift flux of the class and the other scalars use it without recomputing it) More...
integer | drift_scalar_thermophoresis
| flag for activating thermophoresis for drift scalars More...
integer | drift_scalar_turbophoresis
| flag for activating turbophoresis for drift scalars More...
integer | drift_scalar_electrophoresis
integer | drift_scalar_centrifugalforce
| flag for activating the centrifugal force for drift scalars More...

## Member Function/Subroutine Documentation

subroutine time_step_init | ( |  | ) |

Initialize Fortran time step API. This maps Fortran pointers to global C structure members.

The documentation for this module was generated from the following file:

- src/base/optcal.f90